/*Теоретический вопрос

Обьяснить своими словами разницу между обьявлением переменных через var, let и const.
var
    1. переменная видна во всей функии
    2. можно повторно обьявлять
    3. существует до обьявления, имеет значение undefind
let
    1. переменная видна только в блоке, где она объявлена
    2. нельзя повторно обьявлять
    3. видна после обьявления
    4. в цикле для каждой итерации создается своя переменная
const
    1. задаёт константу, переменную нельзя менять
    2. в остальном полностью аналогично let


    Почему объявлять переменную через var считается плохим тоном?

    Если обьявить переменную с использованием var, то обратиться к ней в функции можна и после выхода из конструкции где она была обьявлена.
    Большая область видимости, может привести к непреднамеренной перезаписи данных и другим ошибкам.

 */

/*Технические требования:
    Считать с помощью модельного окна браузера данные пользователя: имя и возраст.
    Если возраст меньше 18 лет - показать на экране сообщение: You are not allowed to visit this website.
    Если возраст от 18 до 22 лет (включительно) - показать окно со следующим сообщением: Are you sure you want to continue? и кнопками Ok, Cancel. Если пользователь нажал Ok, показать на экране сообщение: Welcome, + имя пользователя. Если пользователь нажал Cancel, показать на экране сообщение: You are not allowed to visit this website.
    Если возраст больше 22 лет - показать на экране сообщение: Welcome, + имя пользователя.
    Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.

    Необязательное задание продвинутой сложности:
    После ввода данных добавить проверку их корректности. Если пользователь не ввел имя, либо при вводе возраста указал не число - спросить имя и возраст заново (при этом значением по умолчанию для каждой из переменных должна быть введенная ранее информация).
 */

let userName = '';
let userAge = '';

function validateInput() {
    userName = prompt('What is your name?', userName);
    userAge = prompt('How old are you?', userAge);
    if (userName === '' || isNaN(+userAge)) {
        validateInput();
    }
}

validateInput();



if (userAge >= 18 && userAge <= 22) {
    let confirmation = confirm('Are you sure you want to continue?');
    if (confirmation === true) {
        alert(`Welcome, ${userName}.`);
    } else {
        alert('You are not allowed to visit this website');
    }
}
if (userAge < 18) {
    alert('You are not allowed to visit this website');
}

if (userAge >= 23) {
    alert(`Welcome, ${userName}.`);
}
